# Contribution Guidelines

Your contributions are always welcome.

## Commits

* Search previous suggestions before making a new one.
* Use the following format: `[RESOURCE](LINK) - DESCRIPTION.`
  * Keep descriptions short (<80 characters).
  * End descriptions with a full stop.
* Make an individual commit for each category.
  * Consolidate multiple commits.

## Pull Requests

* Use imperative (e.g. add instead of added/adding) in the PR title.
* Include application names, categories and a link to the open source project page in the description.

## Issues

* Discussion, questions and bug reports only.
* If you are sure software meets the guidelines, create a Pull Request (see above).
* Check spelling and grammar.
* Remove any trailing whitespace.
* Suggestions for improvements to existing structure are welcome.
